Bug 461461 - (CVE-2008-1389) clamav: multiple security fixes in 0.94 (CVE-2008-1389, CVE-2008-3912, CVE-2008-3913, CVE-2008-3914)
clamav: multiple security fixes in 0.94 (CVE-2008-1389, CVE-2008-3912, CVE-20...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-08 05:04 EDT by Tomas Hoger
Modified: 2008-12-20 09:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-20 09:04:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-09-08 05:04:42 EDT
ClamAV upstream has released new upstream version 0.94 which fixes couple of issues that can cause clamav to crash, or exit unexpectedly:

  * fix out-of-memory null dereference (bb#1141)
  * fix possible invalid memory access (bb#1089)
  * fix error path memleaks and fd leaks (bb#1141)

References:
http://lurker.clamav.net/message/20080902.154137.289f280b.en.html
http://www.openwall.com/lists/oss-security/2008/09/03/2
http://www.openwall.com/lists/oss-security/2008/09/04/13


CVE ids assigned to these issues:

CVE-2008-1389:
Invalid memory access in the CHM unpacker.

References:
http://int21.de/cve/CVE-2008-1389-clamav-chd.html
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=1089

Upstream commit:
http://svn.clamav.net/websvn/listing.php?repname=clamav-devel&path=/trunk/&rev=4157&sc=1
svn diff -c 4157 http://svn.clamav.net/svn/clamav-devel/trunk/


CVE-2008-3912:
Out-of-memory NULL pointer dereference in mbox and message.

References:
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=1141
(upstream bug is still restricted)

Upstream commit:
http://svn.clamav.net/websvn/listing.php?repname=clamav-devel&path=/trunk/&rev=4158&sc=1
svn diff -c 4158 http://svn.clamav.net/svn/clamav-devel/trunk/


CVE-2008-3913:
Fix memory leak in the error code path in freshclam's manager.c.

References:
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=1141

Upstream commit:
http://svn.clamav.net/websvn/listing.php?repname=clamav-devel&path=/trunk/&rev=4126&sc=1
svn diff -c 4126 http://svn.clamav.net/svn/clamav-devel/trunk/


CVE-2008-3914:
Multiple file descriptor leaks on the error code paths (sis.c and others.c).

References:
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=1141

Upstream commit:
http://svn.clamav.net/websvn/listing.php?repname=clamav-devel&path=/trunk/&rev=4123&sc=1
svn diff -c 4123 http://svn.clamav.net/svn/clamav-devel/trunk/
http://svn.clamav.net/websvn/listing.php?repname=clamav-devel&path=/trunk/&rev=4124&sc=1
svn diff -c 4124 http://svn.clamav.net/svn/clamav-devel/trunk/
Comment 1 Tomas Hoger 2008-09-08 05:07:52 EDT
As upstream bb#1141 is still restricted, it's not clear what issues are really tracked by that bug.  There's another commit referring to that bug, but it does not seem to have security implications.

  * shared/tar.c: fix invalid close on error path - bb#1141

http://svn.clamav.net/websvn/listing.php?repname=clamav-devel&path=/trunk/&rev=4125&sc=1
svn diff -c 4125 http://svn.clamav.net/svn/clamav-devel/trunk/
Comment 2 Tomas Hoger 2008-09-08 05:10:15 EDT
As 0.94 is new major upstream version branch, it also introduces a soname change. In case of version bump in F-9, rebuild of depending applications will be required (klamav, claws-mail-plugins, ...).

Enrico, do you plan to stick with 0.92 on F-8 until F-8 EOL?  I haven't looked yet if all theses issues apply to 0.92.x as well.
Comment 3 Robert Scheck 2008-10-26 14:03:05 EDT
Due to the unluckily big lazyness of the maintainers of clamav in Fedora and 
EPEL, I now drove this security update myself for Rawhide, EPEL 4 and 5. And
to avoid the typical Fedora clamav maintainer complaints: Keep it inside of
you, you didn't even do the security update on Rawhide for > 1.5 months now!

- Package: clamav-0.94-1.fc10 Tag: dist-f10 Status: complete Built by: robert
- 557 (clamav): Build on target fedora-5-epel succeeded.
- 558 (clamav): Build on target fedora-4-epel succeeded.
Comment 4 Fedora Update System 2008-11-13 13:50:06 EST
clamav-0.93.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/clamav-0.93.3-2.fc9
Comment 5 Fedora Update System 2008-11-13 13:50:12 EST
clamav-0.92.1-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/clamav-0.92.1-4.fc8
Comment 6 Fedora Update System 2008-11-14 07:44:42 EST
clamav-0.93.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-11-14 07:46:17 EST
clamav-0.92.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Robert Scheck 2008-12-15 05:28:14 EST
Ping? Can this bug report get closed? If yes, please do so...

Note You need to log in before you can comment on or make changes to this bug.